This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 219978 - Review Request: thunar-media-tags-plugin - Media Tags plugin for the Thunar file manager
Review Request: thunar-media-tags-plugin - Media Tags plugin for the Thunar f...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-17 21:10 EST by Christoph Wickert
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:32:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2006-12-17 21:10:14 EST
Spec URL: http://home.arcor.de/christoph.wickert/fedora/extras/review/SPECS/thunar-media-tags-plugin.spec
SRPM URL: http://home.arcor.de/christoph.wickert/fedora/extras/review/SRPMS/thunar-media-tags-plugin-0.1.1-1.fc7.src.rpm
Description: This plugin adds special features for media files to the Thunar file manager. It includes a special media file page for the file properties dialog, a tag editor for ID3 or OGG/Vorbis tags and a so-called bulk renamer, which allows users to rename multiple audio files at once, based on their tags.

Note: ATM %{_libdir}/thunarx-1/ is not owned by any package, but this is a bug in Thunar. I already informed Kevin about this.
Comment 1 Kevin Fenzi 2006-12-26 20:54:35 EST
I'd be happy to review this package... 

Look for a full review in a bit. 

> Note: ATM %{_libdir}/thunarx-1/ is not owned by any package, but this is a bug
in Thunar. I already informed Kevin about this.

Yeah, sorry about that. I have the fix queued up... it should go out with the
next update to Thunar. 
Comment 2 Kevin Fenzi 2006-12-26 21:13:04 EST
See below - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License(GPL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
1535da390f7e26350e9bff1a5bc3cdae  thunar-media-tags-plugin-0.1.1.tar.bz2
1535da390f7e26350e9bff1a5bc3cdae  thunar-media-tags-plugin-0.1.1.tar.bz2.1
OK - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane

SHOULD Items:

OK - Should build in mock.
i386/x86_64 - Should build on all supported archs
OK - Should function as described.
OK - Should have dist tag
OK - Should package latest version

Issues:

1. Should the name of this package have a capital T ?
ie,

thunar-media-tags-plugin

should be

Thunar-media-tags-plugin

Since the Thunar package uses a uppercase T?

Otherwise I see no blockers or issues, so this package is
APPROVED. If you do decide to change it to use a uppercase T, also do
change the summary of this bug so the package is tracked properly.

Don't forget to close this package review NEXTRELEASE once it's been
imported and built.
Comment 3 Christoph Wickert 2006-12-28 13:42:07 EST
(In reply to comment #2)
> 
> 1. Should the name of this package have a capital T ?

I don't think so. Yes, Thunar has a capital T, but in case of Thunar
* source has capital T
* the binary has capital T
* lowercase "thunar" is only a symlink to capital Thunar

In case of this package we have
* lowercase source
* lowercase lib %{name}.so
* lowercase locales %{name}.mo

So I think we should leave it lowercase.

Thanks for the review, wish you a happy new year!

Note You need to log in before you can comment on or make changes to this bug.